aubio: fvec_t Struct Reference

aubio 0.4.9

Loading...
Searching...
No Matches
Data Fields
fvec_t Struct Reference

Buffer for real data. More...

`#include <fvec.h>`

## Data Fields
uint_t | length
| length of buffer
smpl_t * | data
| data vector of length fvec_t.length

## Detailed Description

Buffer for real data.

Vector of real-valued data

fvec_t is is the structure used to store vector of real-valued data, smpl_t .

uint_t buffer_size = 1024;
// create a vector of 512 values
fvec_t * input = new_fvec (buffer_size);
// set some values of the vector
input->data[23] = 2.;
// ..
// compute the mean of the vector
mean = fvec_mean(a_vector);
// destroy the vector
del_fvec(a_vector);
new_fvec
fvec_t * new_fvec(uint_t length)
fvec_t buffer creation function
del_fvec
void del_fvec(fvec_t *s)
fvec_t buffer deletion function
fvec_t
Buffer for real data.
Definition fvec.h:67
fvec_t::data
smpl_t * data
data vector of length fvec_t.length
Definition fvec.h:69
uint_t
unsigned int uint_t
unsigned integer
Definition types.h:60

See examples/ and tests/src directories for more examples.

Examples
  examples/aubionotes.c, examples/aubioonset.c, examples/aubiopitch.c, examples/aubiotrack.c, io/test-sink.c, io/test-source.c, onset/test-onset.c, pitch/test-pitch.c, spectral/test-dct.c, spectral/test-fft.c, spectral/test-filterbank.c, spectral/test-filterbank_mel.c, spectral/test-mfcc.c, spectral/test-phasevoc.c, spectral/test-specdesc.c, spectral/test-tss.c, synth/test-sampler.c, synth/test-wavetable.c, tempo/test-tempo.c, temporal/test-biquad.c, temporal/test-filter.c, test-fmat.c, and test-fvec.c.

Definition at line 67 of file fvec.h.

## Field Documentation

## ◆ data

smpl_t* fvec_t::data

data vector of length fvec_t.length

Examples
  examples/aubionotes.c, onset/test-onset.c, spectral/test-dct.c, spectral/test-fft.c, tempo/test-tempo.c, temporal/test-filter.c, test-fmat.c, and test-fvec.c.

Definition at line 69 of file fvec.h.

## ◆ length

uint_t fvec_t::length

length of buffer

Examples
  spectral/test-dct.c, and test-fvec.c.

Definition at line 68 of file fvec.h.

The documentation for this struct was generated from the following file:

- fvec.h